SnmpAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.SnmpAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface SnmpAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface SnmpAgentConfiguration

extends AgentConfiguration

Configuration for the SNMP Mib2 Sensor

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getScanL2Interfaces()`
`int` | `getSnmpPort()`
`int` | `getSnmpTimeout()`
`boolean` | `hasCharacterEncoding()`
`boolean` | `hasLocale()`
`boolean` | `hasScanL2Interfaces()`
`boolean` | `hasSnmpPort()`
`boolean` | `hasSnmpTimeout()`
`void` | `setCharacterEncoding(java.lang.String characterEncoding)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setScanL2Interfaces(java.lang.String val)`
`void` | `setSnmpPort(int port)`
`void` | `setSnmpTimeout(int timeout)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSnmpPort

    int getSnmpPort()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSnmpPort

    void setSnmpPort(int port)

### hasSnmpPort

    boolean hasSnmpPort()

### getSnmpTimeout

    int getSnmpTimeout()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSnmpTimeout

    void setSnmpTimeout(int timeout)

### hasSnmpTimeout

    boolean hasSnmpTimeout()

### getLocale

    java.lang.String getLocale()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocale

    void setLocale(java.lang.String locale)

### hasLocale

    boolean hasLocale()

### getCharacterEncoding

    java.lang.String getCharacterEncoding()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCharacterEncoding

    void setCharacterEncoding(java.lang.String characterEncoding)

### hasCharacterEncoding

    boolean hasCharacterEncoding()

### getScanL2Interfaces

    java.lang.String getScanL2Interfaces()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScanL2Interfaces

    void setScanL2Interfaces(java.lang.String val)

### hasScanL2Interfaces

    boolean hasScanL2Interfaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD